HUE_COLOR_LIST=
{
	Red 	= "900000",
	Green 	= "008000",
	Blue 	= "222299",
	Brown 	= "8B4513",
	Gold	= "FFD700",
	Gray	= "808080",
	Orange	= "EE9400",
	Tan		= "D2B48C",
	Yellow	= "DDDD00",
	White	= "FFFFFF",
	Purple	= "800080",
}

function SimpleSpawnerHuePicker(user,spawner)
	local window = DynamicWindow("EditHueDialog","Simple Hue Picker",500,500,-100,-150,"Default","Center")
	local scrollWindow = ScrollWindow(20,40,440,400,50)

	window:AddLabel(100,10,"select a color below for the spawner",300,24,24,"left")

	for index, hue in pairs(HUE_COLOR_LIST) do
		local scrollElement = ScrollElement()
		scrollElement:AddImage(0,0,"SectionBackground",438,50,"Sliced")
		scrollElement:AddLabel(10,10,"["..hue.."]"..index,200,24,24,"left")
		scrollElement:AddButton(368,8,"SetHue:"..hue,"Set",50,30,"set the hue of the spawner to this color",nil,false,"")
		scrollWindow:Add(scrollElement)
	end

	window:AddScrollWindow(scrollWindow)
	user:OpenDynamicWindow(window,spawner)
end